lpinfo(8)

NOM
lpinfo - Afficher les périphériques et pilotes disponibles (obsolète)

SYNOPSIS
lpinfo [ -h serveur[:port] ] [ -E ] [ -l ] [ --device-id chaîne_id_périphérique ] [ --exclude-schemes liste_schémas ] [ --include-schemes liste-schémas ] [ --language locale ] [ --make-and-model nom ] [ --product nom ] -m
lpinfo [ -h serveur[:port] ] [ -E ] [ -l ] [ --exclude-schemes liste-schémas ] [ --include-schemes liste-schémas ] [ --timeout secondes ] -v

DESCRIPTION
lpinfo affiche la liste des périphériques ou pilotes connus par le serveur CUPS. La première forme (avec -m) liste les pilotes disponibles, et la seconde forme (avec -v) liste les périphériques disponibles.

OPTIONS
lpinfo accepte les options suivantes :

-E  Obliger un chiffrement lors de la connexion au serveur.

-h serveur[:port]
    Choisir un serveur de remplacement. Remarque : cette option doit se présenter avant toutes autres.

-l  Afficher une liste « longue » des périphériques ou pilotes.

--device-id chaîne_id_périphérique
    Indiquer l'ID des périphériques IEEE-1284 à faire correspondre lors du parcours de la liste des pilotes avec l'option -m.

--exclude-schemes liste_schémas
    Indiquer une liste séparée par des virgules de périphériques ou de schémas PPD qui devraient être exclus des résultats. Les fichiers statiques PPD utilisent le schéma « file ».

--include-schemes liste_schémas
    Indiquer une liste séparée par des virgules de périphériques ou de schémas PPD qui devraient être inclus dans les résultats. Les fichiers statiques PPD utilisent le schéma « file ».

--language locale
    Indiquer la langue à faire correspondre lors de la création de la liste des pilotes avec l'option -m.

--make-and-model nom
    Indiquer la marque et le modèle à faire correspondre lors de la création de la liste des pilotes avec l'option -m.

--product nom
    Indiquer le produit à sélectionner lors de la création de la liste des pilotes avec l'option -m.

--timeout secondes
    Indiquer le délai d'attente lors de la création de la liste des périphériques avec l'option -v.

CONFORMITÉ
La commande lpinfo est spécifique à CUPS.

EXEMPLES
Lister tous les périphériques :

    lpinfo -v

Lister tous les pilotes :

    lpinfo -m

Lister tous les pilotes correspondants à « HP LaserJet » :

    lpinfo --make-and-model "HP LaserJet" -m

NOTES
Les pilotes et les programmes de transmission de CUPS sont devenus obsolètes et ne seront plus entretenus dans une prochaine publication de CUPS. Les imprimantes qui ne gèrent pas IPP peuvent être gérées en utilisant des applications telles que ippeveprinter(1).

VOIR AUSSI
lpadmin(8), aide en ligne de CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.